﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using SoftDeleteExample.Models;
using System.Data.Entity;

namespace SoftDeleteExample.DAL
{
    public class SoftDeleteExampleInitializer : System.Data.Entity.DropCreateDatabaseAlways<SoftDeleteExampleContext>
    {
        protected override void Seed(SoftDeleteExampleContext context)
        {
            //chickens
            context.Chickens.Add(new Chicken
            {
                Name = "Fancy"
            });
            context.Chickens.Add(new Chicken
            {
                Name = "Roseanne"
            });
            context.SaveChanges();

            //eggs
            context.ChickenEggs.Add(new ChickenEgg
            {
                Color = "White",
                ChickenId = 1,
            });
            context.ChickenEggs.Add(new ChickenEgg
            {
                Color = "White",
                ChickenId = 1,
                IsDisabled = true, //we don't want to consider this egg
            });
            context.ChickenEggs.Add(new ChickenEgg
            {
                Color = "Brown",
                ChickenId = 2
            });

            context.SaveChanges();
        }
    }
}