﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace SoftDeleteExample.Models
{
    public class BaseDomainObject
    {
        public int Id { get; set; }
        public bool IsDisabled { get; set; }
    }

    public class Chicken : BaseDomainObject
    {
        public string Name { get; set; }
        public virtual List<ChickenEgg> ChickenEggs { get; set; }
    }

    public class ChickenEgg : BaseDomainObject
    {
        public int ChickenId { get; set; }
        public string Color { get; set; }
    }
}